%define name       gxmame
%define version    0.33
%define release    3mdk


Summary:	A Gtk+ front end for X-M.A.M.E.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Emulators
Vendor:		Shad
Url:		http://gxmame.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Source1:	%name-16.png
BuildRoot:	%{_tmppath}/%{name}-%version-buildroot
BuildRequires:  gtk+-devel, gdk-pixbuf-devel, zlib-devel
Requires:	gtk+ >= 1.2.0, gdk-pixbuf, zlib, xmame

%description
GXMame is a GTK+ based front end for X Mame (X version of the Multiple
Arcade Machine Emulator) It allows you to create a game list using
your current executable of mame, display specific games (neo-geo,
CPS1/2, working, by version...), view the status of a game, change its
preferences and launch it.

%prep
rm -rf %{buildroot}
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

mkdir -p %buildroot%_menudir
cat > %buildroot/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="gxmame" \
title="GXmame" \
longtitle="An arcade emulator" \
icon="gxmame.png" \
needs="x11" \
section="Applications/Emulators"
EOF

mkdir -p %buildroot%_miconsdir
install -m 644 %SOURCE1 %buildroot%_miconsdir/%name.png

%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/gxmame
%doc BUGS NEWS COPYING AUTHORS README TODO ChangeLog html
%{_datadir}/icons/gxmame.png
%{_datadir}/icons/mini/gxmame.*
%{_datadir}/gnome/apps/Games/Arcade/gxmame.desktop
%{_datadir}/applnk/Games/Arcade/gxmame.desktop
%_menudir/%name


%changelog
* Thu Sep 18 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.33-3mdk
- Remove -[no]hotrod and -[no]hotrodse mode to be 0.74 compatible.

* Sat Aug 30 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.33-2mdk
- Remove defaut x11 video mode to be xmame 0.72 fullscreen compatible.

* Sun Jun 17 2003 Arnaud G. Gibert <arnaud@rx3.net> 0.33-1mdk
- new gxmame version 0.33
	- The audit window display now 'best available' and 'not found'
	  results (thanks, Benoit DUMONT).
	- Added tooltip to the 'about' button (thanks, Jani).
	- Clean up the Makefile.am in html (thanks, Nicos).
	- Fixed a bug that prevented unzipped icons to be displayed.
	- Some spell corrections.
	- Fixed the Cheat option.
	- Fixed a path in debian rule file.
	- Add a support for french and German keyboard (thanks, Luc Saillard).
	- The number of games visible is now correct in indented view.
	- Fixed problems ocurring with new version of gamma and brightness
	  introduced in xmame-0.66.1 (thanks to all contributors).
	- Added skip disclaimer and gameinfo options (thanks to all 
	  contributors).
	- Fixed a crash when building the list (thanks, Jorge Montero).
	- GXMame works now with catver.ini file from www.catver.com.
- fix small details in specfile.

* Sun Apr 27 2003 Arnaud G. Gibert <arnaud@rx3.net> 0.32-3mdk
- remove "-noloadconfig" option.

* Wed Apr 23 2003 Arnaud G. Gibert <arnaud@rx3.net> 0.32-2mdk
- fix mame.xgl keymaping support.

* Mon Mar 24 2003 Gtz Waschk <goetz@plf.zarb.org> 0.32-1plf
- new gxmame version 0.32
	- The audit window display now 'best available' and 'not found'
	  results (thanks, Benoit DUMONT).
	- Added tooltip to the 'about' button (thanks, Jani).
	- Clean up the Makefile.am in html (thanks, Nicos).
	- Fixed a bug that prevented unzipped icons to be displayed.
	- Some spell corrections.
	- Fixed the Cheat option.
	- Fixed a path in debian rule file.
	- Add a support for french and German keyboard (thanks, Luc Saillard).
	- The number of games visible is now correct in indented view.
	- Fixed problems ocurring with new version of gamma and brightness
	  introduced in xmame-0.66.1 (thanks to all contributors).
	- Added skip disclaimer and gameinfo options (thanks to all 
	  contributors).
	- Fixed a crash when building the list (thanks, Jorge Montero).
	- GXMame works now with catver.ini file from www.catver.com.

* Tue Mar 11 2003 Gtz Waschk <goetz@plf.zarb.org> 0.31-1plf
- initial plf package

* Wed Jan 08 2003 Stphane Pontier <shadow_walker@users.sourceforge.net> 0.31
- Translations updated.
- Debian directory updated.
- Diffdir options added.
- vidix option added.
- User can now set additionnal options string.
- Support new switches of XMame 0.62.1
- Added icons suport (xpm and ico if zipped, ico only if not zipped).
- Fixed an error message if a support zipfile was not found.
- Change default input and Hiscore path to user directory.
- Fixed a bug preventing to run the network.
- Added option for Netmame 0.6 rc1
- Added a new indented view where clones are shifted below their parent.
- Reorganize directory options into several tabs.
- User can now changes to color of the clones games.
- User can now changes the font of the folders and game list.
- Fixed a timout problem with the folder selection.
- Properties window display the game icon.
- Icons look better when scalled.

* Sun Nov 24 2002 Stphane Pontier <shadow_walker@users.sourceforge.net> 0.30
- Fixed the keepaspect option for xfx target.
- Fixed the SDL auto mode option.
- Fixed option problem when user try to change the joystick device name.
- Fixed option problem with photon2 target.
- left and right direction of the joystick will allow to move faster
  in the game list.
- Changed the way to handle locales(thanks, Diego Apollonio).
- Polish translation added (Thanks, Dawid Cierniak).
- Resized some button to fit translated text.
- Fixed the cheat option.
- Added fullscreen option for Xv.
- Added cfgname option.
- Added waveout plugin support.
- Added geometry option for xv
- Added debian directory to build .deb packages(thanks, Nicos Panayides).
- Fixed some option availability errors (grabmouse, Video mode and xv)
- Reoganize options to be 800x600 friendly.
- Added grabkeyboard option.
- Added yuv option.
- Can now use path with space characters.
- Fixed segfault if pictures directory was longer than the default ones.
- Changed some "Error" messages to "Warning" messages
- Fixed the display of "s" in some languages.
- Added options to record and playback games.
- SDL modes are now listed in a more 'friendly' way.(with xmame>=0.61.1)
- Fixed: icons are now updated after a audit in details view.
- Fixed hotkeys problems that moved in the gamelist after exiting a
  dialog box or popup window.
- Joystick game selection is now disabled when some dialog boxes are 
  open (game preferences, inp selection).
- Updated hotkeys for all dialog boxes.
- Entries for roms and samples paths auto resize now. 
- Added zip support for screenshot files.
- the screenshot panel wont resize when resizing main window.
- the joystick name option is now used when using the new driver type
  joystick.
- Added yv12 option.
- Multiple executables support.
- Added "The" prefix in View menu.
- Fixed initialisation of viewmode menu
- Added an html documentation.
- "Add to favorite" and "Remove from favorite" items are now updated
  in the popup menu.
- Documentation files are now installed when using source files.
- Debug version is now compiled without optimisations 
- Code cleanup.

* Thu Aug 29 2002 Stphane Pontier <shadow_walker@users.sourceforge.net> 0.28
- Fixed the artworks options problem with the xmame-0.61.
- Change the artwork_crop default value to false.
- Change configure scripts to allows to turn on debugging at configure
  time, just by typing './configure --enable-debug', no need to change
  the sources anymore. The executable will also be striped when not using
  the debug version.
- Should be able to recognise more errors when running xmame and display 
  them instead of doing nothing.
- Display the output of xmame event if the debug option wasn't activated
- GXMame now use good parameters if the decimal separator of the system
  is a ',' instead of a '.'
- Fixed a bug the prevented user to save global vectors options.
- added the the vector intensity option.
- user can now disable to joystick support at configuration time
  (it seems that it doesn't compile under freebsd) using
  '--disable-joystick' switch.
- Display history.dat and mameinfo.dat informations in the main window.
- improved joystick support, analog joystick should give less eratic 
  results
- Does not refresh the screenshot if we click on a game already selected.
- Support Flyers, Cabinets, Marquees and Titles screenshots in addition
  of the snapshot ones, just clic on the picture.
- Add xv extension option.
- correct the joystick choice option (Add the SDL type as joytype 7).
- fixed the bug that prevented to use correctly xmame if dga or mitshm
  (and some joysticks) weren't compiled in.
- Add options to:
   - check for new game at the begining.
   - disable the version mismatch warning.
   - disable the joystick support in gui.
   - Select the device used for joystick gui navigation.
- Spanish translation added (Thanks, Pablo del Campo).
- Fixed the strange behavior when using arrow key after joystick or
  after searched a game by letter.
- The game list is now focused when GXMame is launched.
- Italian translation added (Thanks, Diego Apollonio).
- Dutch translation added (Thanks, Franois Duprez).
- Improve mame executable detection (previously problems with xfx
  version)
- German translation added (Thanks, Tobias Wichtrey).
- updated README file

* Mon Aug 12 2002 Stphane Pontier <shadow_walker@users.sourceforge.net> 0.27c
- Fixed a very stupid (but hard to find because it wasn't occuring on 
  my computer)bug that crashed GXMame on some computers.
- Improve Joystick support, you can now keep up or down directions 
  pressed to scroll through the game list.
- GXMame doesn't try anymore to display a list of plugins when there
  are no plugin at all.

* Thu Aug 08 2002 Stphane Pontier <shadow_walker@users.sourceforge.net> 0.27b
- fixed a bug that crashed GXMame when user tried to change options for
  a non vector game.
- Add preliminary Joystick support (up/down to select game and button 0
  to play it), works at least with My PSX pad and should work with every 
  joystick in /dev/js0
- context menu appear when user press on the "Windows" menu key.
	
* Tue Aug 06 2002 Stphane Pontier <shadow_walker@users.sourceforge.net> 0.27
- Fixed: GXMame crashed if "The" button was clicked and no game 
  selected.
- Change error message in configure.in if gdk-pixbuf is not found.
- User can quickly jump to a name by typing its name when the game list
  is focused.
- Fixed the bug that crash GXMame when you have no gamelist file,
  your mame executable isn't called "xmame" and you try to choose your
  executable (thanks, John Morris)
- New logo (thanks, Arnaud Pontier)
- Added preferences for global and specific game
- When user change to a folder containing no games, the picture of
  the previous game is no more displayed, and menus are updated also,
  now working for the small icons view also.
- Fixed the popup bug that messed up the mouse button when using the
  popup
- GXMame is now searching in your path to find xmame
- Every options are created in option.c
- Change configure.in and Makefile.am to be able to create package with
 'make dist'

* Mon Jun 17 2002  Stphane Pontier <shadow_walker@users.sourceforge.net> 0.24c
- when user change to a folder containing no games, the picture of
  the previous game is no more displayed, and menus are updated also.
- GXMame can now load catver file and not only catver.ini.
- fixed the autogen script that was looking for gnome libairies
- add a delay to the folders selection, that prevent GXMame to crash if
  user clics too quickly on a folder or browse differents folders very
  quickly.
- fixed the bug that crashed GXMame if user clic too quickly on "The,"
  button.
- the main window title is updated if the xmame executable is changed
- user can't launch a game or an audit if the xmame selected is not a 
  valid executable.

* Fri Jun 14 2002 Stphane Pontier <shadow_walker@users.sourceforge.net> 0.24b
- Fixed a compilation problem when using --disable-nls option
- when doing a quick check, the selected game stay selected
  (on some configuration, GXMame crashed during the quick check)
- detect if xmame is a valid executable.
- GXMame now compare the executable and list version when changing the 
  executable in directories preferences.
- Fixed a stupid error when I display the mismatch version error

* Sun Jun 09 2002 Stphane Pontier <shadow_walker@users.sourceforge.net> 0.24
- Audit of all roms and samples
- Fixed the first error message box that stayed under the main window
  at the startup with some windows managers (Window Maker, Enlightment)
- GXMame doesn't complain anymore if you use a executable made for 
  another target than the one used to build the list
- Change the gamelist format to be able to display all properties 
  of a game
- Properties window
- Single audit window
- Added a pop-up menu to launch the game, change the favorite status
  select a random game and open the properties window
- Able to audit a single game in the properties window, the result of 
  this audit update the main gui
- refresh the times played value and status of a game after played it
	  
* Fri May 17 2002 Stphane Pontier <shadow_walker@users.sourceforge.net> 0.21
- remember  the last game selected even if the gamename contain 
  no extension(ie something into parenthesis or after a dash).
- Fix a nasty bug that prevented to display the selected game where I 
  wanted but only on the top of the list.
- Add a progression window when a game is loading but can't cancel
  the load for the moment.
- display an error when the game is not loaded.
- hide the main window instead of iconise it.
- remember the last folder selected.
- the folderlist can be scrolled horizontally now.
- add a progression window when creating the gamelist
- user can rebuild gamelist from the gui
- GXMame now detect if the gamelist is correspond to the executable
- add support for catver.ini
- user can now choose the name of his executable,
  and paths to roms, samples, artwork, hiscore and catver from the gui
- user can choose cheatfile, hiscorefile, historyfile and mameinfo.
- Screenshots taken during games (F12 while playing) will be saved into
  the snapshot folder and used by GXMame
- Random game selection
- some little bugfixes here and there...

* Tue May 07 2002 Stphane Pontier <shadow_walker@users.sourceforge.net> 0.19 
- first public release
